<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="Header">
                    <button class="btn btn-info pull-right" style="margin:30px 20px 20px 0px;" (click)="ChamaModal(0, 0)"><i class="ti ti-plus"></i> Nova Despesa</button>
                </div>
                <div class="content">
                    <div class="row" style="margin-top: 15px; margin-bottom: 40px">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-5">
                                    <div class="form-group">
                                        <label>Despesa</label>
                                        <input class="form-control border-input" type="text" [(ngModel)]="busca.descricao">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Categria</label>
                                        <select class="form-control border-input" [(ngModel)]="busca.idCategoria">
                                            <option value="0" selected="selected">Selecione a Categoria</option>
                                            <option *ngFor="let item of listaCategorias" value="{{item.id}}">
                                                {{item.descricao}}
                                            </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Preço</label>
                                        <input class="form-control border-input" type="number" value="0" [(ngModel)]="busca.preco">
                                    </div>
                                </div>
                                <div class="col-md-12" style="text-align: center">
                                  <button class="btn btn-info" title="Filtrar " (click)="LimparFiltro()"><i class="ti ti-filter"></i> Limpar Filtro</button>
                                  <button class="btn btn-success" title="Filtrar " (click)="Buscar()"><i class="ti ti-filter"></i> Filtar</button>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="table-responsive">
                        <table class="table table-hover">
                            <thead class="">
                                <th>Id</th>
                                <th>Despesa</th>
                                <th>Categoria</th>
                                <th>Preço</th>
                                <th class="text-right"></th>
                            </thead>
                            <tbody>
                                <tr *ngFor="let item of listaDispesas; let i = index">
                                    <td>{{item.id}}</td>
                                    <td>{{item.descricao}}</td>
                                    <td>{{item.idCategoria}}</td>
                                    <td>R$ {{item.preco | number : '1.2-2'}}</td>
                                    <td class="text-right">
                                        <button class="btn btn-warning btn-link btn-icon btn-sm edit" title="Editar Despesa" (click)="ChamaModal([i], 1)"><i class="fa fa-edit"></i></button> 
                                        <button class="btn btn-danger btn-link btn-icon btn-sm remove" title="Remover Despesa" (click)="Delete(item.id)"><i class="fa fa-times"></i></button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>  
    </div>
</div>

<div class="modal fade" id="myModal">
        <div class="modal-dialog">
          <div class="modal-content">
      
            <!-- Modal Header -->
            <div class="modal-header">
              <h4 class="modal-title" *ngIf="!cadastro">Editando Despesa</h4>
              <h4 class="modal-title" *ngIf="cadastro">Nova Despeza</h4>
            </div>
      
            <!-- Modal body -->
            <div class="modal-body">
              <div class="row">
                <div class="col-md-12">
      
                  <div class="col-md-12">
                    <div class="form-group">
                      <label for="inputDespesa" ng-model="inputDespesa" id="inputDespesa" style="color:#9a9a9a">Descrição da Despesa</label>
                      <input ng-model="inputDespesa" type="text" class="form-control border-input" id="inputDespesa" name="inputDespesa"
                             placeholder="Descrição da despesa" value="{{descricao}}" [(ngModel)]="despesa.descricao">
                    </div>
                  </div>
      
                  <div class="col-md-12">
                    <div class="form-group">
                      <label for="inputCategoria" ng-model="inputCategoria" id="inputCategoria" style="color:#9a9a9a">Categoria</label>
                      <select class="form-control border-input" [(ngModel)]="despesa.idCategoria">
                          <option *ngFor="let item of listaCategorias" value="{{item.id}}">
                              {{item.descricao}}
                            </option>
                      </select>
                    </div>
                  </div>
      
                  <div class="col-md-12">
                    <div class="form-group">
                      <label for="inputPreco" ng-model="inputPreco" id="inputPreco" style="color:#9a9a9a">Preço(R$)</label>
                      <input ng-model="inputPreco" type="text" class="form-control border-input" id="inputPreco"
                                name="inputPreco" placeholder="Preço" value="{{preco}}" [(ngModel)]="despesa.preco">
                    </div>
                  </div>
                        
                </div>
              </div>
              <div class="row" style="height: 10px; padding: 10px;">
      
              </div>
              <div class="row">
                <div class="col-md-12 text-center">
                  <div class="col-md-6 text-center">
                    <button *ngIf="cadastro" class="btn btn-success btn-fill btn-wd" (click)="Insert()">
                      <i class="nc-icon nc-zoom-split"></i>
                      Salvar
                    </button>
                    <button *ngIf="!cadastro" class="btn btn-success btn-fill btn-wd" (click)="Update()">
                      <i class="nc-icon nc-zoom-split"></i>
                      Salvar
                    </button>
                  </div>
                  <div class="col-md-6 text-center">
                    <button class="btn btn-error btn-fill btn-wd" (click)="fechaModal()">
                      <i class="nc-icon nc-zoom-split"></i>
                      Fechar
                    </button>
                  </div>
                </div>
              </div>
            </div>
      
          </div>
        </div>
      </div>
      